%define upstream_name    Net-DAAP-Server-MythTV
%define upstream_version 0.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:	Publish MythTV videos to DAAP clients like Apple's Front Row
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/authors/id/J/JA/JABLKO/%{upstream_name}-%{upstream_version}.tar.bz2

BuildArch:	noarch

Requires:	perl-Net-DMAP-Server

%description
MythTV is a homebrew PVR project. This module publishes MythTV videos,
including metadata, to DAAP clients like Apple's Front Row.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
%{__make} test

%install
%make_install
rm -rf $RPM_BUILD_ROOT/%{perl_vendorarch}

mkdir -p $RPM_BUILD_ROOT/%{_bindir}
cp mythdaap $RPM_BUILD_ROOT/%{_bindir}
chmod 755 $RPM_BUILD_ROOT/%{_bindir}/mythdaap

%files
%doc README
%{_bindir}/mythdaap
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.10.0-11.mga10
+ Revision: 2200006
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.10.0-10.mga9
+ Revision: 1804820
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.10.0-9.mga8
+ Revision: 1495807
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.10.0-8.mga7
+ Revision: 1269896
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.10.0-7.mga6
+ Revision: 1031036
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 0.10.0-6.mga6
+ Revision: 935744
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.10.0-5.mga5
+ Revision: 747248
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10.0-4.mga5
+ Revision: 685634
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.10.0-3.mga4
+ Revision: 513403
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.10.0-2.mga3
+ Revision: 370511
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.10.0-1.mga1
+ Revision: 26684
- mageia rebuild
- imported package perl-Net-DAAP-Server-MythTV


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.10.0-1mdv2010.0
+ Revision: 404069
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.01-4mdv2009.0
+ Revision: 258005
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.01-3mdv2009.0
+ Revision: 246059
- rebuild

* Sat Mar 22 2008 Stefan van der Eijk <stefan@mandriva.org> 0.01-1mdv2008.1
+ Revision: 189530
- import perl-Net-DAAP-Server-MythTV


